| Elektra 0.11.0

Typedefs
kdbioplugin.h File Reference
I/O Bindings

Elektra-I/O functions and declarations for the I/O binding test suite. More...

`#include "kdbio.h"`
`#include "kdbplugin.h"`

## Typedefs
typedef void(* | ElektraIoPluginSetBinding) (Plugin *plugin, KeySet *parameters)
| Set I/O binding for asynchronous I/O operations for plugin.

## Detailed Description

Elektra-I/O functions and declarations for the I/O binding test suite.

Copyright
  BSD License (see LICENSE.md or https://www.libelektra.org)

## Typedef Documentation

## ◆ ElektraIoPluginSetBinding

typedef void(* ElektraIoPluginSetBinding) (Plugin *plugin, KeySet *parameters)

Set I/O binding for asynchronous I/O operations for plugin.

Implemented by plugins to set the I/O binding.

Parameters

  plugin | plugin handle
  parameters | contains the binary key "/ioBinding" with a pointer to ElektraIoInterface